From: Joe Thornber <ejt@redhat.com>

dm block manager: remove dm_bm_unlock_move

dm_bm_unlock_move is no longer used.

Signed-off-by: Joe Thornber <ejt@redhat.com>
Signed-off-by: Mike Snitzer <snitzer@redhat.com>
---
 drivers/md/persistent-data/dm-block-manager.c |   16 ----------------
 drivers/md/persistent-data/dm-block-manager.h |    8 --------
 2 files changed, 24 deletions(-)

Index: linux-3.5-rc7/drivers/md/persistent-data/dm-block-manager.c
===================================================================
--- linux-3.5-rc7.orig/drivers/md/persistent-data/dm-block-manager.c
+++ linux-3.5-rc7/drivers/md/persistent-data/dm-block-manager.c
@@ -584,22 +584,6 @@ int dm_bm_unlock(struct dm_block *b)
 }
 EXPORT_SYMBOL_GPL(dm_bm_unlock);
 
-int dm_bm_unlock_move(struct dm_block *b, dm_block_t n)
-{
-	struct buffer_aux *aux;
-
-	aux = dm_bufio_get_aux_data(to_buffer(b));
-
-	if (aux->write_locked) {
-		dm_bufio_mark_buffer_dirty(to_buffer(b));
-		bl_up_write(&aux->lock);
-	} else
-		bl_up_read(&aux->lock);
-
-	dm_bufio_release_move(to_buffer(b), n);
-	return 0;
-}
-
 int dm_bm_flush_and_unlock(struct dm_block_manager *bm,
 			   struct dm_block *superblock)
 {
Index: linux-3.5-rc7/drivers/md/persistent-data/dm-block-manager.h
===================================================================
--- linux-3.5-rc7.orig/drivers/md/persistent-data/dm-block-manager.h
+++ linux-3.5-rc7/drivers/md/persistent-data/dm-block-manager.h
@@ -97,14 +97,6 @@ int dm_bm_write_lock_zero(struct dm_bloc
 int dm_bm_unlock(struct dm_block *b);
 
 /*
- * An optimisation; we often want to copy a block's contents to a new
- * block.  eg, as part of the shadowing operation.  It's far better for
- * bufio to do this move behind the scenes than hold 2 locks and memcpy the
- * data.
- */
-int dm_bm_unlock_move(struct dm_block *b, dm_block_t n);
-
-/*
  * It's a common idiom to have a superblock that should be committed last.
  *
  * @superblock should be write-locked on entry. It will be unlocked during
